Skip to content

LIST OF STOCK CBA FAILED

Request

Paginated list of stocks that failed the CBA (compliance) screen.

Request body:

ParameterTypeDescription
pagenumberPage number (1-based)
per_pagenumberPage size
Headers
clientIdstringrequired

B2B UAT client ID. Sent as a request header (not Redocly Auth).

Default:"AX6kFk5ywERyXobt"
Example:AX6kFk5ywERyXobt
timestring^\d{14}$required

UTC timestamp yyyyMMddHHmmss used to compute token.

Default:"20260831110225"
Example:20260831110225
tokenstringrequired

Base64(SHA512(secretKey + time + jsonBody)). Must match this operation's request body.

Default:"nxdZ8RkhhDtgFJnFf4sqD5+pWIJcXO6zGxPe98DCi4yvHKHNmR5rVGI825iXovhwvzkx7IuSZwIFw5e3SmM0fQ=="
Example:nxdZ8RkhhDtgFJnFf4sqD5+pWIJcXO6zGxPe98DCi4yvHKHNmR5rVGI825iXovhwvzkx7IuSZwIFw5e3SmM0fQ==
Bodyapplication/jsonrequired
pageinteger, >= 1

Page number (1-based)

per_pageinteger, >= 1

Page size

curl --location 'https://b2b.musaffa.us/b2b/api/demo/musaffa/stocks/cbafailed' \
--header 'Content-Type: application/json' \
--header 'clientId: AX6kFk5ywERyXobt' \
--header 'time: 20260831110225' \
--header 'token: nxdZ8RkhhDtgFJnFf4sqD5+pWIJcXO6zGxPe98DCi4yvHKHNmR5rVGI825iXovhwvzkx7IuSZwIFw5e3SmM0fQ==' \
--data '{
    "page":1,
    "per_page":20
}'

Responses

Dynamic page of CBA-failed stock screening summaries

Bodyapplication/json
Array [
companyNamestring
symbolstring
lastUpdatestring

ISO 8601 date-time

shariahComplianceStatusstring(ComplianceStatus)

Shariah-compliance status

complianceRankingnumber

Compliance Rank (0-5)

revenueBreakdownobject(RevenueBreakdown)

Combined revenue from DOUBTFUL and NOT HALAL sources must be less than 5% of total revenue (AAOIFI).

interestBearingSecuritiesAndAssetsobject(RatioAmountStatus)
interestBearingDebtobject(RatioAmountStatus)
reportDatestring, (date)
reportSourcestring
totalRevenuenumber
trailing36monAvrCapnumber
]
Response
[ { "companyName": "string", "symbol": "string", "lastUpdate": "string", "shariahComplianceStatus": "string", "complianceRanking": 0, "revenueBreakdown": {}, "interestBearingSecuritiesAndAssets": {}, "interestBearingDebt": {}, "reportDate": "2019-08-24", "reportSource": "string", "totalRevenue": 0, "trailing36monAvrCap": 0 } ]